CMSIS-DSP: arm_cfft_q15.c File Reference

| CMSIS-DSP Version 1.4.7 CMSIS DSP Software Library

- Main Page
- Usage and Description
- Reference

All Data Structures Files Functions Variables Typedefs Enumerations Enumerator Macros Groups Pages
Functions
arm_cfft_q15.c File Reference

## Functions
void | arm_radix4_butterfly_q15 (q15_t *pSrc, uint32_t fftLen, q15_t *pCoef, uint32_t twidCoefModifier)
| Core function for the Q15 CFFT butterfly process.
void | arm_radix4_butterfly_inverse_q15 (q15_t *pSrc, uint32_t fftLen, q15_t *pCoef, uint32_t twidCoefModifier)
| Core function for the Q15 CIFFT butterfly process.
void | arm_bitreversal_16 (uint16_t *pSrc, const uint16_t bitRevLen, const uint16_t *pBitRevTable)
void | arm_cfft_radix4by2_q15 (q15_t *pSrc, uint32_t fftLen, const q15_t *pCoef)
void | arm_cfft_radix4by2_inverse_q15 (q15_t *pSrc, uint32_t fftLen, const q15_t *pCoef)
void | arm_cfft_q15 (const arm_cfft_instance_q15 *S, q15_t *p1, uint8_t ifftFlag, uint8_t bitReverseFlag)
| Processing function for the Q15 complex FFT.

## Function Documentation

void arm_bitreversal_16 | ( | uint16_t * | pSrc,
|  | const uint16_t | bitRevLen,
|  | const uint16_t * | pBitRevTable
| ) |  |

Referenced by arm_cfft_q15().

void arm_cfft_radix4by2_inverse_q15 | ( | q15_t * | pSrc,
|  | uint32_t | fftLen,
|  | const q15_t * | pCoef
| ) |  |

References _SIMD32_OFFSET, and arm_radix4_butterfly_inverse_q15().

Referenced by arm_cfft_q15().

void arm_cfft_radix4by2_q15 | ( | q15_t * | pSrc,
|  | uint32_t | fftLen,
|  | const q15_t * | pCoef
| ) |  |

end of ComplexFFT group

References _SIMD32_OFFSET, and arm_radix4_butterfly_q15().

Referenced by arm_cfft_q15().

void arm_radix4_butterfly_inverse_q15 | ( | q15_t * | pSrc16,
|  | uint32_t | fftLen,
|  | q15_t * | pCoef16,
|  | uint32_t | twidCoefModifier
| ) |  |

Parameters

  [in,out] | *pSrc16 | points to the in-place buffer of Q15 data type.
  [in] | fftLen | length of the FFT.
  [in] | *pCoef16 | points to twiddle coefficient buffer.
  [in] | twidCoefModifier | twiddle coefficient modifier that supports different size FFTs with the same twiddle factor table.

Returns
  none.

References __SIMD32, and _SIMD32_OFFSET.

Referenced by arm_cfft_q15(), arm_cfft_radix4_q15(), and arm_cfft_radix4by2_inverse_q15().

void arm_radix4_butterfly_q15 | ( | q15_t * | pSrc16,
|  | uint32_t | fftLen,
|  | q15_t * | pCoef16,
|  | uint32_t | twidCoefModifier
| ) |  |

end of ComplexFFT group

Parameters

  [in,out] | *pSrc16 | points to the in-place buffer of Q15 data type.
  [in] | fftLen | length of the FFT.
  [in] | *pCoef16 | points to twiddle coefficient buffer.
  [in] | twidCoefModifier | twiddle coefficient modifier that supports different size FFTs with the same twiddle factor table.

Returns
  none.

References __SIMD32, and _SIMD32_OFFSET.

Referenced by arm_cfft_q15(), arm_cfft_radix4_q15(), and arm_cfft_radix4by2_q15().